unit Helo_pgm;

interface

uses
  DisplayUnit, SEE, SEEW, KeyCode,
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, StdCtrls;

type
  THello = class(TForm)
    Menu: TMainMenu;
    mSendEmail: TMenuItem;
    eMessage: TMemo;
    mExit: TMenuItem;
    procedure mSendEmailClick(Sender: TObject);
    procedure mExitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Hello: THello;

implementation

{$R *.DFM}

procedure THello.mSendEmailClick(Sender: TObject);
var
  Code : Integer;
  MsgSize : Integer;
  SmtpServer : String;
  SmtpFrom : String;
  SmtpTo : String;
  SmtpSubject : String;
  SmtpMessage : String;
  Empty : String;
  Text: String;
begin
  {PROGRAMMER: Edit the following 5 lines}
  SmtpServer := '10.0.0.1';
  SmtpFrom := '<mike@10.0.0.1>';
  SmtpTo := '<mike@10.0.0.1>';
  SmtpSubject := 'Test';
  SmtpMessage := 'This is a test message';

  Empty := Chr(0);
  {attach SEE}
  Code := fAttach(1, SEE_KEY_CODE);
  if Code < 0 then
    begin
      Text := Format('Cannot attach SEE (error %d)',[Code]);
      DisplayLine(Hello.eMessage, Text);
      exit;
    end;
  {connect to POP3 server}
  SCREEN.Cursor := crHourGlass;
  DisplayLine(Hello.eMessage,Format('Connecting to %s',[SmtpServer]));
  Code := fSmtpConnect(0,SmtpServer, SmtpFrom, Empty);
  {any errors ?}
  If Code < 0 then
    begin
      DisplayString(Hello.eMessage,'fSmtpConnect: ');
      DisplayError(Hello.eMessage, Code);
      fClose(0);
      exit;
    end;
  {ready to send mail}
  DisplayLine(Hello.eMessage,'Connected.');
  MsgSize := Length(SmtpMessage);
  {send the email}
  DisplayLine(Hello.eMessage,'Sending mail...');
  Code := fSendEmail(0, SmtpTo, Empty, Empty, SmtpSubject, SmtpMessage, Empty);
  {any errors ?}
  If Code < 0 then
    begin
      DisplayString(Hello.eMessage, 'SendEmail: ');
      DisplayError(Hello.eMessage, Code);
      SCREEN.Cursor := crDefault;
      fClose(0);
      exit;
    end;
  SCREEN.Cursor := crDefault;
  DisplayLine(Hello.eMessage,'Email has been sent.');
  fClose(0);
  fRelease;
end;

procedure THello.mExitClick(Sender: TObject);
begin
  Application.Terminate;
end;

end.
